<?php

namespace Drupal\no_entity_view_display\Access;

use Drupal\Core\Access\AccessResultForbidden;
use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Access\AccessResult;

/**
 * Checks access for displaying entity view display related routes.
 */
class NoEntityViewDisplayAccessCheck implements AccessInterface {

  /**
   * Forbids access for view display & view mode related routes.
   *
   * @return \Drupal\Core\Access\AccessResultForbidden
   *   The access result.
   */
  public function access(): AccessResultForbidden {
    return AccessResult::forbidden('Entity view displays are disabled.');
  }

}
